Get origin metrics time series grouped by dimension
GET/radar/origins/timeseries_groups/{dimension}
Retrieves the distribution of origin metrics grouped by the specified dimension over time.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Query Parameters
dateRange: optional array of string
Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).
Get origin metrics time series grouped by dimension
curl https://api.cloudflare.com/client/v4/radar/origins/timeseries_groups/$DIMENSION \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"result": {
"meta": {
"aggInterval": "FIFTEEN_MINUTES",
"confidenceInfo": {
"annotations": [
{
"dataSource": "ALL",
"description": "Cable cut in Tonga",
"endDate": "2019-12-27T18:11:19.117Z",
"eventType": "EVENT",
"isInstantaneous": true,
"linkedUrl": "https://example.com",
"startDate": "2019-12-27T18:11:19.117Z"
}
],
"level": 0
},
"dateRange": [
{
"endTime": "2022-09-17T10:22:57.555Z",
"startTime": "2022-09-16T10:22:57.555Z"
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"units": [
{
"name": "*",
"value": "requests"
}
]
},
"serie_0": {
"timestamps": [
"2023-08-08T10:15:00Z"
]
}
},
"success": true
}Returns Examples
{
"result": {
"meta": {
"aggInterval": "FIFTEEN_MINUTES",
"confidenceInfo": {
"annotations": [
{
"dataSource": "ALL",
"description": "Cable cut in Tonga",
"endDate": "2019-12-27T18:11:19.117Z",
"eventType": "EVENT",
"isInstantaneous": true,
"linkedUrl": "https://example.com",
"startDate": "2019-12-27T18:11:19.117Z"
}
],
"level": 0
},
"dateRange": [
{
"endTime": "2022-09-17T10:22:57.555Z",
"startTime": "2022-09-16T10:22:57.555Z"
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"units": [
{
"name": "*",
"value": "requests"
}
]
},
"serie_0": {
"timestamps": [
"2023-08-08T10:15:00Z"
]
}
},
"success": true
}